body {
    font-family: Arial, sans-serif;
    text-align: center;
    margin: 0;
    padding: 20px;
    background-image: url('../img/star-wars-space.jpg');
    background-size: cover; 
    background-position: center; 
    height: 95vh; 
}

/* Sección de rangos */
.ranges {
    display: flex;
    justify-content: center;
    flex-direction: column; 
    align-items: center;
}

.range {
    padding: 8px; 
    cursor: pointer;
    width: 50%; 
    box-sizing: border-box;
    text-align: left;
    position: relative;
    border-radius: 8px;
    border: 3px solid; 
    background-color: white;
    transition: transform 0.2s ease;
    color: #333;
}

.range h3 {
    margin: 0; 
    font-size: 1rem;
}

.range p {
    margin: 0; 
    padding-top: 3px; 
    font-size: 0.9rem; 
}

.range.red {
    border-color: #FFFF00; 
    background-color: #f3f5c5;
}

.range.green {
    border-color: #00FF00; 
    background-color: #c2e4c7;
}

.range.blue {
    border-color: #00BFFF; 
    background-color: #c4dae2;
}

.range:hover {
    transform: scale(1.02); 
}

.characters-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    width: 50%; 
    margin-bottom: 20px; 
}

/* Tarjetas de personajes */
.character {
    display: flex;
    flex-direction: column; 
    border-radius: 5px;
    padding: 7px;
    margin: 1px; 
    width: 125px; 
    height: auto;
    min-height: 70px; 
    text-align: left;
    position: relative;
    border: 3px solid;
    background-color: rgb(200, 197, 197);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); 
    color: #333;
}

.character p {
    margin-top: 0;
    margin-bottom: 0;

}

.character h4 {
    margin-top: 0;
    margin-bottom: 0; 
}

.character-1-5 {
    border-color: #FFFF00;  
}

.character-6-10 {
    border-color: #00FF00;
}

.character-11-15 {
    border-color: #00BFFF;
}

footer {
    background-color: #333;
    color: #fff;
    text-align: center;
    position: fixed;
    bottom: 0;
    width: 100%;
    left: 0;
}

.swal2-popup {
    background-image: url('../img/yoda.jpg');
    background-size: cover;
    background-position: center;
}

.yoda-alert {
    color: #f0e68c;
}

.swal2-title {
    color: #e6db74; 
}

.swal2-confirm {
    background-color: #6b8e23;
    color: white;
}

/* Ajustes para pantallas medianas */
@media (max-width: 768px) {
    .range {
        width: 70%; 
    }

    .characters-container {
        width: 70%;
    }

    .character {
        width: 110px; 
        min-height: 60px;
    }
}

/* Ajustes para pantallas pequeñas*/
@media (max-width: 480px) {
    .range {
        width: 95%; 
    }

    .characters-container {
        width: 95%; 
    }

    .character {
        width: 100px; 
        min-height: 60px; 
    }

    h1 {
        font-size: 1.5rem; 
    }
}
